Anaconda Enterprise: Documentation

# User guide

Using Anaconda Scale with Anaconda Adam, you can create and manage conda packages, including Python and R, in multiple conda environments across your nodes. You can prepend `adam scale` to a subset of familiar conda commands to install and manage conda packages and environments across a cluster.

    $ adam scale -n cluster conda --help
    Usage: adam conda [OPTIONS] COMMAND [ARGS]...

    Options:
      -h, --help          Show this message and exit.

    Commands:
      create   Create conda environment
      info     Get information about conda installation
      install  Install package(s)
      list     List conda packages
      remove   Remove package(s)
      update   Update package(s)

By default, the root conda environment is installed in `/opt/continuum/anaconda` on all of the cluster nodes, which can be configured for a different location. You can manage multiple conda environments across the same cluster, such as Python 2, Python 3 and R, without affecting the framework installation of Python on the cluster nodes.

## Getting started

You can get started with Anaconda Scale by using Anaconda Adam, the Anaconda platform installer. See the Anaconda Adam documentation for more information.

With Anaconda Adam, you can install Anaconda Scale on a bare-metal cluster or existing cloud-based cluster. You can also use Anaconda Scale to easily launch and provision a cloud-based cluster with Anaconda. See the Anaconda Adam installation instructions for more information.

## Tasks

- General functions
- Using Anaconda with Cloudera CDH
- Configuring Anaconda with Spark

## Cheatsheet

Download the `Scale cheat sheet` (48 KB PDF) for a quick guide to using Anaconda Scale.